/* vim: set sw=8 ts=8 si : */
/*************************************************************************
 Title	:   C include file for analog conversion
 Target:    atmega88/168/328
 Copyright: GPL V2
***************************************************************************/
#ifndef ANALOG_H
#define ANALOG_H

// define USE_INTERRUPT if you want 12 bit interrupt drive ADC with oversampling
#define USE_INTERRUPT 1
//#undef USE_INTERRUPT

#ifdef USE_INTERRUPT 
// You must first call adc_isr_on if you use the
// 12bit resoltion (getanalogresult function).
// Do not use interrupt driven ADC measurements with
// systems where the timing is critical (e.g DS18S20 sensors).
// The ISR(ADC_vect) interrupt function will mess up you timing
// too much.
extern void adc_isr_on(void);
// return analog value of a given channel.
// 12bit with interrupt
extern uint16_t getanalogresult(uint8_t channel);
#else // USE_INTERRUPT
// 10bit no interrupt:
extern uint16_t convertanalog(unsigned char channel);
#endif // USE_INTERRUPT

#endif /* ANALOG_H */
